﻿/************************** COMMANDES DE BASES EXERCICES - 1 er DOCUMENT *********************************/
 

-- USE : il dit sur quelle base de données on travaille. Il change la base par défaut.
use ContosoRetailDW

/* Ci-dessous les requêtes "select de base", les plus importantes
   2 premières :  requêtes vitales */

-- 1: compter le nombre de lignes d'une table (DIMCUSTOMER dans ContosoRetailDW)

-- je compte savoir en combien de temps s'éxécute ma requête (sur la table FactOnlineSales dans ContosoRetailDW)
set statistics time on 

-- 2 : afficher les n première lignes d'une table. (DIMCUSTOMER dans ContosoRetailDW)

-- 3 :Vider le cache (lieu de stockage des données) et de nettoyer les buffers - Important de nettoyer
DBCC FREEPROCCACHE

-- 4 - test dangereux, selectionner toutes les lignes et colonnes de la table FactOnlineSales - Juste la Formatrice dans ContosoRetailDW

-- 5 . Penser au top au départ / Après avoir mis les conditions, l'enlever
-- Je souhaite les hommes célibataires et nés avant 1970
-- Dans ContosoRetailDW
-- Résultat : 2617
use ContosoRetailDW

-- 6. Pratiquement pareil, sauf qu'au lieu de vouloir ceux nés avant 1970
-- Je souhaite récupérer toutes les années sauf l'année 1966
-- Résultat: 3932

-- 7. Tous ceux qui sont nés en 1975 et en 1977 (utilisation du in)
-- Dans ContosoRetailDW
-- Résultat : 864

-- 8. Je souhaite les personnes 
-- quand l'education (sur dimcustomer) est = les bachelors et high school
-- Dans ContosoRetailDW
USE ContosoRetailDW


-- 9. je veux compter le nombre de résultat du l'éxo 8
-- Dans ContosoRetailDW
-- Résultats : 8650 

-- 10. Je veux afficher les bachelors et high school mais ceux qui ne sont pas nés en 75 et 77
-- Dans ContosoRetailDW
-- Résultat : 8249

-- 11 dans la table DimCustomer, je veux le champ last name, l’année de naissance, le sexe 
--pour tous ceux qui ont plus de 2 enfants et qui gagnent entre 10000 et 30000 dollars par an. 
-- Dans ContosoRetailDW
-- Résultats : 1078 lignes

-- 12 Idem mais tous ceux qui sont nés entre 1960 et 1970
-- Dans ContosoRetailDW
-- Résultats : 416 lignes

-- 13. Tous les champs pour l’année 2007 dont le discountamount (remise de la vente) est compris entre 15 et 20.
-- Dans ContosoRetailDW et table FactOnlineSales
-- Résultats : 155920 

-- 14 : Je veux la liste de chaque type d’éducation pour connaître les critères existants dans la table. 
-- exclure null
-- Dans ContosoRetailDW  et Table dimcustomer
-- Résultats : 5 lignes

-- 15 : Je veux compter le nombre de clients pour lesquels Education est NULL
-- Dans ContosoRetailDW et Table dimcumstomer
-- Résultats : 385

-- 16 : Je veux compter le nombre de clients par genre et par éducation
-- Je ne veux pas les NULL
-- Dans ContosoRetailDW et Table dimcumstomer
-- Résultats : 10 lignes (ou 11 si NULL pas exclus)

-- 17. Je veux compter le nombre de clients par année de naissance et par sexe
-- Dans ContosoRetailDW et sur la table dimcustomer
-- Résultats : 135

-- 18 sur FactOnlineSalesSales
-- Je veux par année, le total des montants des ventes (salesamount) 
-- et le nombre total de ventes
-- Dans ContosoRetailDW et Table factonlinesales
-- Résultats : 3 lignes

-- 19 sur FactOnlineSales : pareil que pour l'exo 18 mais 
-- je veux seulement quand le nombre de ventes est superieur à 5 000 000
-- Dans ContosoRetailDW et Table factonlinesales
-- Résultat : 1 ligne de résultats

-- 20 Je veux afficher tous les produits (productname) qui contiennent le mot mp3 (et uniquement ceux-là)
-- Dans ContosoRetailDW et sur la table DimProduct
-- Résultats : 35 lignes

-- 20.1 Suite du 20
-- Je veux compter ces produits par couleur et n'afficher que les couleurs qui ont plus de 5 produits mp3
-- Dans ContosoRetailDW et sur la table DimProduct
-- Résultats : 2 lignes (noir et blanc)

-- 20.2 Comme 20.1 mais je renomme les couleurs du resulat en francais dans une nouvelle colonne
-- Dans ContosoRetailDW et sur la table DimProduct

-- 21. Je veux le nom, prénom et date de naissance ainsi que l'âge des employés 
-- quand la date de naissance est connue
-- je veux afficher la date de naissance en date simple (Année, mois, jour)
-- Dans Comptoir
-- Résultats : 8 lignes
 USE comptoir
