use AdventureWorks2012

-- 4 et 5 . restriction sur des lignes - hommes clibataires et ns avant 1970
-- rsultats : 33 lignes
select TOP 100 *
from HumanResources.Employee
where gender='M' and maritalstatus ='S' and BirthDate <'1970-01-01'

-- 6. maintenant je veux tout sauf l'anne 81

select TOP 100 *
from HumanResources.Employee
where year (BirthDate) <>'1981'

-- 7. Tous ceux qui sont ns en 1975 et en 1977 (utilisation du or)
-- 17 lignes

select TOP 100 *
from HumanResources.Employee
where year (BirthDate) ='1975' or year (BirthDate) ='1977'

-- mais vaut mieux a : (utilisation du in)
select TOP 100 *
from HumanResources.Employee
where year (BirthDate) in(1975,1977)

-- 8. Je souhaite les personnes quand le jobtitle est Senior Tool Designer et Design Engineer
-- Rsultats : 5 lignes

select TOP 100 *
-- count(*)
from HumanResources.Employee
where jobtitle in('Design Engineer', 'Senior Tool Designer')

-- 9. je veux compter le nombre de rsultat du l'xo 8
-- Rsultats : 5 

select count(*)
from HumanResources.Employee
where jobtitle in('Design Engineer', 'Senior Tool Designer')


-- 10. Je veux afficher les personnes avec un jobtitle Senior Tool Designer ou Design Engineer 
--mais ceux qui ne sont pas ns en 69 et 46
-- Rsultat : 3

select *
from HumanResources.Employee
where year (BirthDate) not in(1969,1946) and jobtitle in('Design Engineer', 'Senior Tool Designer')


-- 11 Je veux tous les champs
--pour tous ceux qui ont 1 dans la colonne SalariedFlag et qui ont entre 15 et 35 en VacationHours. 
-- Rsultats : 13 lignes

select *
from HumanResources.Employee
where SalariedFlag ='1' and VacationHours between'15' and'35'

-- 12 Idem mais tous ceux qui sont ns entre 1960 et 1970
-- Rsultats : 8 lignes

select *
from HumanResources.Employee
where SalariedFlag ='1' and VacationHours between'15' and'35'
and year (BirthDate) between '1960' and '1970'
